Verwenden Sie CometAPI GET /mj/task//fetch, um den Status einer einzelnen Midjourney-Task schnell und zuverlässig für Monitoring und Ergebnisabfrage abzurufen.
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}status für den Gesamtstatus der Taskprogress für das aktuelle AbschlusssignalimageUrl oder videoUrl, wenn das Asset bereit istbuttons für die nächsten verfügbaren customId-WerteSUCCESS, MODAL oder FAILURE erreichtbuttons als maßgebliche Quelle für FolgeaktionenimageUrl, wenn Sie das fertige Grid- oder Upscale-Ergebnis benötigenSUCCESS, progress: 100%, eine imageUrl und 9 Action-Buttons für eine FAST-Imagine-Task zurück.Bearer token authentication. Use your CometAPI key.
Midjourney task id.
Current task state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}